SplObjectStorage::count
SplObjectStorage::detach
SplObjectStorage
PHP Manual

# SplObjectStorage::current

Returns the current storage entry

### Description

public object SplObjectStorage::current ( void )

Returns the current storage entry.

### Parameters

This function has no parameters.

### Return Values

The object at the current iterator position.

### Examples

Example #1 SplObjectStorage::current example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1, "d1");
$s->attach($o2, "d2");
$s->rewind();
while($s->valid()) {
$index = $s->key();
$object = $s->current(); // similar to current($s)
$data = $s->getInfo();
var_dump($object);
var_dump($data);
$s->next();
}
?>`

The above example will output something similar to:

    object(stdClass)#2 (0) {
    }
    string(2) "d1"
    object(stdClass)#3 (0) {
    }
    string(2) "d2"

### See Also

- SplObjectStorage::rewind
- SplObjectStorage::key
- SplObjectStorage::next
- SplObjectStorage::valid
- SplObjectStorage::getInfo